Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046564
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Restaurantsmajoralways2021-05-06 17:232021-05-31 09:08
ReporterjmelinView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Todmiguelez
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046564: JIRA 1613 - You can select a menu group from another menu

DescriptionIn "Restaurant menu", you can link a menu category to a menu group.

But in the selection list, we displayed the menu group of all the menu and not only the group link to the menu

Also the link to menu group is not functional
Steps To Reproduce1. Connect to BO with Openbravo
2. Switch to role "White valley group admin"
3. Open "Restaurant menu" window
4. Select menu "Simple Menu" and in tab "Group", create a group "Simple Menu group"
5. Select menu "Non Fixed Size Menu" and in tab "Group", create a group "Non Fixed Size Menu group"
6. Open tab "Category" and select "Appetizers"
7. Open the element and check "Is group member"

=> in the list, you have both "Simple Menu group" and "Fixed Size Menu group"
TagsFull scope
Attached Filesxml file icon Issue46564.xml [^] (2,550 bytes) 2021-05-31 09:04

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046805TAP closedjorge-garcia JIRA 1613 - You can select a menu group from another menu 

-  Notes
(0128701)
hgbot (developer)
2021-05-27 11:02

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.restaurant/-/merge_requests/39 [^]
(0128806)
hgbot (developer)
2021-05-31 09:08

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.restaurant/-/merge_requests/39 [^]
(0128807)
hgbot (developer)
2021-05-31 09:08

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.restaurant [^]
Changeset: 786b88f1e690c6c6bfb7b6eb40ae6cbb88d12418
Author: Jorge Garcia <jorge.garcia@openbravo.com>
Date: 2021-05-28T10:41:45+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2.restaurant/-/commit/786b88f1e690c6c6bfb7b6eb40ae6cbb88d12418 [^]

Fixes ISSUE-46564: Avoid selecting a menu group defines in other menus

Fix also the link of Menu Group to the record

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_TABLE.xml
M src-db/database/sourcedata/AD_TABLE.xml
---

- Issue History
Date Modified Username Field Change
2021-05-06 17:23 jmelin New Issue
2021-05-06 17:23 jmelin Assigned To => Retail
2021-05-06 17:23 jmelin Triggers an Emergency Pack => No
2021-05-06 17:24 jmelin Tag Attached: Takeaway
2021-05-07 11:14 jmelin Tag Detached: Takeaway
2021-05-07 11:14 jmelin Tag Attached: Full scope
2021-05-07 12:45 guilleaer Status new => acknowledged
2021-05-24 12:40 guilleaer Severity minor => major
2021-05-24 12:40 guilleaer Status acknowledged => scheduled
2021-05-24 12:41 guilleaer Status scheduled => acknowledged
2021-05-27 09:34 jorge-garcia Status acknowledged => scheduled
2021-05-27 09:34 jorge-garcia Assigned To Retail => jorge-garcia
2021-05-27 11:02 hgbot Note Added: 0128701
2021-05-27 11:03 jorge-garcia Status scheduled => resolved
2021-05-27 11:03 jorge-garcia Resolution open => fixed
2021-05-27 11:06 jorge-garcia Review Assigned To => dmiguelez
2021-05-31 09:04 jorge-garcia File Added: Issue46564.xml
2021-05-31 09:08 hgbot Note Added: 0128806
2021-05-31 09:08 hgbot Status resolved => closed
2021-05-31 09:08 hgbot Note Added: 0128807


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker